package com.red.circle.order.inner.service;


import com.red.circle.framework.dto.PageResult;
import com.red.circle.order.inner.model.cmd.SysPayFactoryCmd;
import com.red.circle.order.inner.model.cmd.SysPayFactoryQryCmd;
import com.red.circle.order.inner.model.dto.SysPayFactoryDTO;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 支付渠道厂商.
 *
 * @author pengliang on 2023/11/3
 */
public interface PayFactoryClientService {

  Map<String, SysPayFactoryDTO> mapByCodes(Set<String> codes);

  PageResult<SysPayFactoryDTO> pageSysPayChannel(SysPayFactoryQryCmd query);

  List<SysPayFactoryDTO> listSysPayChannel();

  void addSysPayChannel(SysPayFactoryCmd param);

  void updateSysPayChannel(SysPayFactoryCmd param);
}
